org.apache.nutch.api.impl

## Class NutchServerPoolExecutor

- java.lang.Object
- - java.util.concurrent.AbstractExecutorService
  - - java.util.concurrent.ThreadPoolExecutor
    - - org.apache.nutch.api.impl.NutchServerPoolExecutor

- All Implemented Interfaces:
    java.util.concurrent.Executor, java.util.concurrent.ExecutorService

      public class NutchServerPoolExecutor
      extends java.util.concurrent.ThreadPoolExecutor

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.concurrent.ThreadPoolExecutor

      `java.util.concurrent.ThreadPoolExecutor.AbortPolicy, java.util.concurrent.ThreadPoolExecutor.CallerRunsPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardOldestPolicy, java.util.concurrent.ThreadPoolExecutor.DiscardPolicy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NutchServerPoolExecutor(int corePoolSize, int maximumPoolSize, long keepAliveTime, java.util.concurrent.TimeUnit unit, java.util.concurrent.BlockingQueue<java.lang.Runnable> workQueue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `afterExecute(java.lang.Runnable runnable, java.lang.Throwable throwable)`
    `protected void` | `beforeExecute(java.lang.Thread thread, java.lang.Runnable runnable)`
    `JobWorker` | `findWorker(java.lang.String jobId)`
    `java.util.Collection<JobInfo>` | `getAllJobs()`
    `JobInfo` | `getInfo(java.lang.String jobId)`
    `java.util.Collection<JobInfo>` | `getJobHistory()`
    `java.util.Collection<JobInfo>` | `getJobRunning()`

    - ### Methods inherited from class java.util.concurrent.ThreadPoolExecutor

      `allowCoreThreadTimeOut, allowsCoreThreadTimeOut, awaitTermination, execute, finalize, getActiveCount, getCompletedTaskCount, getCorePoolSize, getKeepAliveTime, getLargestPoolSize, getMaximumPoolSize, getPoolSize, getQueue, getRejectedExecutionHandler, getTaskCount, getThreadFactory, isShutdown, isTerminated, isTerminating, prestartAllCoreThreads, prestartCoreThread, purge, remove, setCorePoolSize, setKeepAliveTime, setMaximumPoolSize, setRejectedExecutionHandler, setThreadFactory, shutdown, shutdownNow, terminated, toString`

    - ### Methods inherited from class java.util.concurrent.AbstractExecutorService

      `invokeAll, invokeAll, invokeAny, invokeAny, newTaskFor, newTaskFor, submit, submit, submit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NutchServerPoolExecutor

          public NutchServerPoolExecutor(int corePoolSize,
                                         int maximumPoolSize,
                                         long keepAliveTime,
                                         java.util.concurrent.TimeUnit unit,
                                         java.util.concurrent.BlockingQueue<java.lang.Runnable> workQueue)

  - ### Method Detail

    - #### beforeExecute

          protected void beforeExecute(java.lang.Thread thread,
                                       java.lang.Runnable runnable)

      Overrides:
        `beforeExecute` in class `java.util.concurrent.ThreadPoolExecutor`

    - #### afterExecute

          protected void afterExecute(java.lang.Runnable runnable,
                                      java.lang.Throwable throwable)

      Overrides:
        `afterExecute` in class `java.util.concurrent.ThreadPoolExecutor`

    - #### findWorker

          public JobWorker findWorker(java.lang.String jobId)

    - #### getJobHistory

          public java.util.Collection<JobInfo> getJobHistory()

    - #### getJobRunning

          public java.util.Collection<JobInfo> getJobRunning()

    - #### getAllJobs

          public java.util.Collection<JobInfo> getAllJobs()

    - #### getInfo

          public JobInfo getInfo(java.lang.String jobId)

Copyright © 2019 The Apache Software Foundation